LibreOffice: XFunctionDescriptions Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFunctionDescriptions Interface Referencepublished

provides access to the property sequence of a function description via function index or identifier. More...

`import <XFunctionDescriptions.idl;`

Inheritance diagram for XFunctionDescriptions:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | getById ([in] long nId) raises ( com::sun::star::lang::IllegalArgumentException )
| finds a function description by the identifier of the function.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the property sequence of a function description via function index or identifier.

The container access methods return a sequence of com::sun::star::beans::PropertyValue structs. The properties contained in the sequence are collected in the service FunctionDescription.

See also
  com::sun::star::sheet::FunctionDescriptions

## Member Function Documentation

## ◆ getById()

sequence< com::sun::star::beans::PropertyValue > getById | ( | [in] long | nId | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

finds a function description by the identifier of the function.

Parameters

  nId | is the identifier of the function description (the same that is used in the service RecentFunctions.

Returns
  the sequence of property values (described in FunctionDescription).

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XFunctionDescriptions.idl